/*
Copyright (C) 2005 Observatoire de Paris-Meudon

Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier conformment aux dispositions de la Licence Publique Gnrale GNU, telle que publie par la Free Software Foundation ; version 2 de la licence, ou encore ( votre choix) toute version ultrieure.

Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail, voir la Licence Publique Gnrale GNU .

Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU en mme temps que ce programme ; si ce n'est pas le cas, crivez  la Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.
*/

package traitement;

import java.awt.*;
import java.awt.event.*;

public class Question extends Dialog implements ActionListener {
    
    private String reponse = null;
    private TextField tf;
    
    public Question(Frame f, String titre, String message) {
        super(f, titre, true);
        setLayout(new FlowLayout());
        add(new Label(message));
        tf = new TextField(15);
        tf.addActionListener(this);
        add(tf);
        Button bok = new Button("OK");
        bok.addActionListener(this);
        add(bok);
        pack();
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                setVisible(false);
                dispose();
            }
        });
    }
    
    public void actionPerformed(ActionEvent event) {
        reponse = tf.getText();
        setVisible(false);
        dispose();
    }
    
    public String getReponse() {
        return(reponse);
    }
}
